Skip to content

demo ​

← All modules

1 endpoint.

POST /api/v1/demo/request ​

Request Demo

Request body

json
{
  "properties": {
    "full_name": {
      "type": "string",
      "title": "Full Name"
    },
    "email": {
      "type": "string",
      "format": "email",
      "title": "Email"
    },
    "interest": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 32
        },
        {
          "type": "null"
        }
      ],
      "title": "Interest"
    }
  },
  "type": "object",
  "required": [
    "full_name",
    "email"
  ],
  "title": "DemoRequestIn"
}

200 — Successful Response

json
{
  "properties": {
    "redirect_url": {
      "type": "string",
      "title": "Redirect Url"
    }
  },
  "type": "object",
  "required": [
    "redirect_url"
  ],
  "title": "DemoRequestOut"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb One Documentation